# Get alternate email

Gets the specified alternate email.

Endpoint: GET /users/{userId}/alternateemails/{alternateEmailId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `userId` (number, required)
    ID of the user being accessed.

  - `alternateEmailId` (number, required)
    ID of the alternate email being accessed.

## Response 200 fields (application/json):

  - `id` (number)
    AlternateEmail ID.
    Example: 8150532427671428

  - `confirmed` (boolean)
    Indicates whether the alternate email address has been confirmed.
    Example: true

  - `email` (string)
    User's alternate email address.
    Example: "johnathan.doe@smartsheet.com"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


